<html>

<head>
    <title> Interactions </title>
    

<script>
    var selected_var1 = "Eye state";
    var selected_var2 = "";
    total_plot_count = (1 * 0) / 2;
    var load_plot_count = 0;

    function check_load_count() {
        load_plot_count = load_plot_count + 1;
        console.log("Plots loaded: " + load_plot_count + " out of " + total_plot_count);
        if (load_plot_count == total_plot_count) {
            document.getElementById("variable_1").disabled = false;
            document.getElementById("variable_2").disabled = false;
        }
    }

    function highlightTableValue(element, color) {
        for (let i of element) {
            let thValue = i.firstElementChild.innerText;
            let tbValue = i.lastElementChild.innerText;
            if (thValue.includes('Unique') && tbValue.replace('%',
                '') == 100) {
                i.style.color = color;
            } else if (thValue.includes('Missing') && tbValue.replace('%',
                '') != 0) {
                i.style.color = color;
            } else if (thValue.includes('Zeros') && tbValue.replace('%',
                '') != 0) {
                i.style.color = color;
            } else if (thValue.includes('Infinite') && tbValue.replace('%',
                '') != 0) {
                i.style.color = color;
            } else if (thValue.includes('Skewness' && tbValue > 20)) {
                i.style.color = color;
            }
        }
    }

    function fire_selection() {
        var new_selected_var1 = document.getElementById("variable_1").value;
        var new_selected_var2 = document.getElementById("variable_2").value;
        var old_plot_id1 = selected_var1 + "__" + selected_var2;
        var old_plot_id2 = selected_var2 + "__" + selected_var1;

        if(new_selected_var1 != selected_var1) {
            // Enable the previous, disable the new in var2
            document.getElementById("var2_" + selected_var1).disabled = false;
            document.getElementById("var2_" + new_selected_var1).disabled = true;
            selected_var1 = new_selected_var1;
        }

        if(new_selected_var2 != selected_var2) {
            // Enable the previous, disable the new in var1
            document.getElementById("var1_" + selected_var2).disabled = false;
            document.getElementById("var1_" + new_selected_var2).disabled = true;
            selected_var2 = new_selected_var2;
        }

        var new_plot_id1 = selected_var1 + "__" + selected_var2;
        var new_plot_id2 = selected_var2 + "__" + selected_var1;

        if(new_plot_id1 != old_plot_id1) {
            var old_plot = document.getElementById(old_plot_id1) || document.getElementById(old_plot_id2);
            var new_plot = document.getElementById(new_plot_id1) || document.getElementById(new_plot_id2);
            old_plot.style.display = "none";
            new_plot.style.display = "block";
        }
    }

    function scientificNotationStrip(element) {
        for (let i of element) {
            let tbValue = i.lastElementChild.innerHTML;
            if (!isNaN(tbValue)) {
                if (tbValue.includes('e+')) {
                    let newValue = tbValue.replace('e+', '×10<sup>') + '</sup>';
                    i.lastElementChild.innerHTML = newValue;
                } else if (tbValue.includes('e-')) {
                    let newValue = tbValue.replace('e', '×10<sup>') + '</sup>';
                    i.lastElementChild.innerHTML = newValue;
                }
            }
        }
    }

    function copyParam(e) {
        const buttonText = e.innerText;
        const paramElement = e.parentElement.childNodes;
        let param = '';
        for (let i of paramElement) {
            if (i.nodeName === 'DIV') {
                const nodeParam = i.firstElementChild.innerText;
                param = param + nodeParam + ', ';
            }
        }
        navigator.clipboard.writeText(param).then(
            () => {
                e.innerText = 'Copied to Clipboard!';
                setTimeout(() => {
                    e.innerText = buttonText;
                }, 1500);
            }
        ).catch(
            error => {
                e.innerText = error;
                setTimeout(() => {
                    e.innerText = buttonText;
                }, 1500);
            }
        )
    }
</script>
    <style>
    
    table.freq {
        margin-top: 30px;
        margin-bottom: 2em;
        border: 0;
        width:100%;
    }

    table.freq th, table.freq tr, table.freq td {
        border: 0;
        padding: 0;
    }

    .freq thead {
        font-weight: 600;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 14px;
    }

    
    .missing {
        color: #d62728;
    }

    .ignore {
        opacity: 0.4;
    }

    
    .freq.table{
        table-layout: fixed;
    }

    .freq:not(.mini) tr td:nth-child(1), .freq:not(.mini) tr th:nth-child(1){
        width: auto;
        max-width: none;
        text-align: left;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .freq:not(.mini) tr td:nth-child(2), .freq:not(.mini) tr td:nth-child(3), .freq:not(.mini) tr th:nth-child(2), .freq:not(.mini) tr th:nth-child(3){
        width: auto;
        text-align: right;
    }

    .freq .bar {
        float: left;
        width: 0;
        height: 100%;
        line-height: 20px;
        color: #fff;
        text-align: center;
        background-color: #1f77b4;
        border-radius: 3px;
        margin-right: 4px;
    }

    .other .bar {
        background-color: #7f7f7f;
    }

    .missing .bar {
        background-color: #d62728;
    }

    .chart_center {
        margin-left: auto;
        margin-right: auto;
    }

    .variable_selection {
        position: relative;
        width: 50%;
        height: 40px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 40px;
    }

    .variable_selection .first_dropdown {
        position: absolute;
        width: 40%;
        left: 10%;
        top: 10px;
    }
    .variable_selection .second_dropdown {
        position: absolute;
        width: 40%;
        right: 8%;
        top: 10px;
    }

    .option_class {
        width: 200px;
        font-family: -apple-system, 'Helvetica Neue', 'Helvetica', 'Arial', 'Lucida Grande', sans-serif;
        -webkit-font-smooth: antialiased;
    }

    .label-font {
        font-family: -apple-system, 'Helvetica Neue', 'Helvetica', 'Arial', 'Lucida Grande', sans-serif;
        -webkit-font-smooth: antialiased;
        font-weight: bold;
    }
</style>
    
</head>

<body>
    <div class="variable_selection">
        <div class="first_dropdown">
            <label for="variable_1" class="label-font">Variable 1:</label>
            <select name="variable_1" id="variable_1" class="option_class" onchange="fire_selection();" disabled>
                
                <option id="var1_Eye state" value="Eye state" >Eye state</option>
                
            </select>
        </div>
        <div class="second_dropdown">
            <label for="variable_2" class="label-font">Variable 2:</label>
            <select name="variable_2" id="variable_2" class="option_class" onchange="fire_selection();" disabled>
                
                <option id="var2_Eye state" value="Eye state" disabled>Eye state</option>
                
            </select>
        </div>
    </div>

    
</body>

</html>